Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# TAO::Any_Basic_Impl Class Reference

Non-template class for all the basic types. More...

`#include <Any_Basic_Impl.h>`

Inheritance diagram for TAO::Any_Basic_Impl:

[legend]
Collaboration diagram for TAO::Any_Basic_Impl:

[legend]
List of all members.

## Public Member Functions
| Any_Basic_Impl (CORBA::TypeCode_ptr, void *value)
virtual | ~Any_Basic_Impl (void)
virtual CORBA::Boolean | marshal_value (TAO_OutputCDR &)
CORBA::Boolean | demarshal_value (TAO_InputCDR &)
CORBA::Boolean | demarshal_value (TAO_InputCDR &, CORBA::Long)
virtual void | _tao_decode (TAO_InputCDR &ACE_ENV_ARG_DECL)
## Static Public Member Functions
void | insert (CORBA::Any &, CORBA::TypeCode_ptr, const void *)
CORBA::Boolean | extract (const CORBA::Any &, CORBA::TypeCode_ptr, void *)
Any_Basic_Impl * | create_empty (CORBA::TypeCode_ptr)
## Static Private Member Functions
void | assign_value (void *, Any_Basic_Impl *)
void | assign_value (void *, Any_Basic_Impl *, CORBA::Long tck)
## Private Attributes
CORBA::Long | kind_
union {
CORBA::Short s
CORBA::UShort us
CORBA::Long l
CORBA::ULong ul
CORBA::Float f
CORBA::Double d
CORBA::Boolean b
CORBA::Char c
CORBA::Octet o
CORBA::LongLong ll
CORBA::ULongLong ull
CORBA::LongDouble ld
CORBA::WChar wc
} | u_

## Detailed Description

Non-template class for all the basic types.

## Constructor & Destructor Documentation

TAO::Any_Basic_Impl::Any_Basic_Impl | ( | CORBA::TypeCode_ptr | ,
|  | void * | value
| ) |

TAO::Any_Basic_Impl::~Any_Basic_Impl | ( | void |  | ) | `[virtual]`

## Member Function Documentation

virtual void TAO::Any_Basic_Impl::_tao_decode | ( | TAO_InputCDR & | ACE_ENV_ARG_DECL | ) | `[virtual]`

| Reimplemented from TAO::Any_Impl.

void TAO::Any_Basic_Impl::assign_value | ( | void * | ,
|  | Any_Basic_Impl * | ,
|  | CORBA::Long | tck
| ) | `[static, private]`

void TAO::Any_Basic_Impl::assign_value | ( | void * | ,
|  | Any_Basic_Impl * |
| ) | `[static, private]`

Any_Basic_Impl * TAO::Any_Basic_Impl::create_empty | ( | CORBA::TypeCode_ptr |  | ) | `[static]`

CORBA::Boolean TAO::Any_Basic_Impl::demarshal_value | ( | TAO_InputCDR & | ,
|  | CORBA::Long |
| ) |

CORBA::Boolean TAO::Any_Basic_Impl::demarshal_value | ( | TAO_InputCDR & |  | ) |

CORBA::Boolean TAO::Any_Basic_Impl::extract | ( | const CORBA::Any & | ,
|  | CORBA::TypeCode_ptr | ,
|  | void * |
| ) | `[static]`

void TAO::Any_Basic_Impl::insert | ( | CORBA::Any & | ,
|  | CORBA::TypeCode_ptr | ,
|  | const void * |
| ) | `[static]`

CORBA::Boolean TAO::Any_Basic_Impl::marshal_value | ( | TAO_OutputCDR & |  | ) | `[virtual]`

| Implements TAO::Any_Impl.

## Member Data Documentation

CORBA::Boolean TAO::Any_Basic_Impl::b`[private]`

CORBA::Char TAO::Any_Basic_Impl::c`[private]`

CORBA::Double TAO::Any_Basic_Impl::d`[private]`

CORBA::Float TAO::Any_Basic_Impl::f`[private]`

CORBA::Long TAO::Any_Basic_Impl::kind_`[private]`

CORBA::Long TAO::Any_Basic_Impl::l`[private]`

CORBA::LongDouble TAO::Any_Basic_Impl::ld`[private]`

CORBA::LongLong TAO::Any_Basic_Impl::ll`[private]`

CORBA::Octet TAO::Any_Basic_Impl::o`[private]`

CORBA::Short TAO::Any_Basic_Impl::s`[private]`

union { ... } TAO::Any_Basic_Impl::u_`[private]`

CORBA::ULong TAO::Any_Basic_Impl::ul`[private]`

CORBA::ULongLong TAO::Any_Basic_Impl::ull`[private]`

CORBA::UShort TAO::Any_Basic_Impl::us`[private]`

CORBA::WChar TAO::Any_Basic_Impl::wc`[private]`

The documentation for this class was generated from the following files:

- Any_Basic_Impl.h
- Any_Basic_Impl.cpp